﻿' $Header: $ 
' Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.

' ReSharper disable CheckNamespace
#Region "Example"
' Shows how to get the subject name of application certificates.

Imports OpcLabs.BaseLib.Extensions
Imports OpcLabs.EasyOpc.UA
Imports OpcLabs.EasyOpc.UA.Application

Namespace UADocExamples.Application._IEasyUAClientApplication
    Friend Class GetCertificateSubjectName
        Public Shared Sub Main1()
            ' Obtain the client application service.
            Dim client = New EasyUAClient()
            Dim clientApplication = client.GetService(Of IEasyUAClientApplication)()

            ' Get the subject name of application certificates.
            Dim certificateSubjectName = clientApplication.GetCertificateSubjectName()

            ' Display results
            Console.WriteLine("Certificate subject name: {0}", certificateSubjectName)
        End Sub
    End Class
End Namespace

#End Region
