﻿' $Header: $ 
' Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.

Imports OpcLabs.EasyOpc.DataAccess

Imports OpcLabs.EasyOpc.DataAccess.OperationModel ' ReSharper disable CheckNamespace
Namespace HmiScreen
    ' ReSharper restore CheckNamespace

    Partial Public Class Form1
        Inherits Form
        Public Sub New()
            InitializeComponent()
        End Sub

        ' ReSharper disable InconsistentNaming
        Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
            ' ReSharper restore InconsistentNaming

            Dim argumentsList = New List(Of DAItemGroupArguments)()
            ' ReSharper disable LoopCanBeConvertedToQuery
            For Each control As Control In Controls
                ' ReSharper restore LoopCanBeConvertedToQuery
                Dim itemId = TryCast(control.Tag, String)
                If itemId IsNot Nothing Then
                    argumentsList.Add(New DAItemGroupArguments("", "OPCLabs.KitServer.2", itemId, 50, control))
                End If
            Next control
            easyDAClient1.SubscribeMultipleItems(argumentsList.ToArray())
        End Sub

        ' ReSharper disable InconsistentNaming
        Private Sub easyDAClient1_ItemChanged(ByVal sender As Object, ByVal e As EasyDAItemChangedEventArgs) Handles easyDAClient1.ItemChanged
            ' ReSharper restore InconsistentNaming

            Dim textBox = TryCast(e.Arguments.State, TextBox)
            If textBox IsNot Nothing AndAlso textBox.ReadOnly Then
                If e.Exception Is Nothing Then
                    textBox.Text = e.Vtq.DisplayValue()
                Else
                    textBox.Text = "** Error **"
                End If
            End If
        End Sub

        ' ReSharper disable InconsistentNaming
        Private Sub writeButton_Click(ByVal sender As Object, ByVal e As EventArgs) Handles writeButton.Click
            ' ReSharper restore InconsistentNaming

            Dim textBox As TextBox = writeValueTextBox
            easyDAClient1.WriteItemValue("", "OPCLabs.KitServer.2", CStr(textBox.Tag), textBox.Text)
        End Sub
    End Class
End Namespace
